-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[Blocco_Blacklist_AppRendicontazione]
as
begin
	--select * 
	--from C6MartPeriodico.ExcludedList_testing 
	--where DescrErr='Segnalazione_VP'
	--select * from C6MartPeriodico.ExcludedList
	if((select COUNT(*) from C6MartPeriodico.ExcludedList_sblocco where DescrErr like '%VP%' )<>0) 
	begin 
	delete from C6MartPeriodico.ExcludedList where DescrErr like '%VP%'
	insert into C6MartPeriodico.ExcludedList
	select * from C6MartPeriodico.ExcludedList_sblocco
	where DescrErr like '%VP%'
	end
	delete from C6MartPeriodico.ExcludedList where Rete+codicefiscale+DescrErr in(
	select Rete+codicefiscale+DescrErr 
	from C6MartPeriodico.ExcludedList_sblocco
	where DescrErr not like '%Segnalazione_VP%' OR DescrErr not like '%Blacklist VP%' or DescrErr not like '%DESCR_ANOM_VP%'
	) 
	--aggiunta 23/08/2022 per gestire lo svuotamento di tutti i cf con descrizione='DESCR_ANOM_VP'
	if((select count(*) from C6MartPeriodico.ExcludedList_sblocco where DescrErr='XXXXXXXXXXXXXXXX')>0) --cioè se è presente una riga con questa motivazione
	begin
	delete from C6MartPeriodico.ExcludedList where DescrErr like '%DESCR_ANOM_VP%'
	end
	--fine aggiunta
	insert into C6MartPeriodico.Sblocco_Blacklist
	select rete,codicefiscale,DescrErr,DataIns,Bloccato from C6MartPeriodico.ExcludedList_sblocco --serve per avere una storia di tutte le operazioni fatte ma è inutile
	truncate table C6MartPeriodico.ExcludedList_sblocco
	end